allow-lan: true
dns:
  enable: true
  enhanced-mode: fake-ip
  fake-ip-filter:
    - '*'
    - '+.lan'
    - '+.msftconnecttest.com'
    - '+.msftncsi.com'
  fake-ip-range: 28.0.0.1/8
  ipv6: true
  listen: 0.0.0.0:1053
  nameserver:
    - 8.8.8.8#Proxies
    - tls://8.8.4.4#Proxies
    - 1.1.1.1#Proxies
    - tls://1.0.0.1#Proxies
  nameserver-policy:
    geosite:cn:
      - 114.114.114.114
      - 223.5.5.5
      - 223.6.6.6
    rule-set:custom:
      - 114.114.114.114
      - 223.5.5.5
      - 223.6.6.6
  proxy-server-nameserver:
  - 114.114.114.114
  - 223.5.5.5
  - 223.6.6.6
external-controller: 127.0.0.1:9090
external-ui: ui
external-ui-url: https://github.com/MetaCubeX/metacubexd/archive/refs/heads/gh-pages.zip
find-process-mode: strict
geodata-mode: true
geox-url:
  geoip: https://testingcf.jsdelivr.net/gh/MetaCubeX/meta-rules-dat@release/geoip.dat
  geosite: https://testingcf.jsdelivr.net/gh/MetaCubeX/meta-rules-dat@release/geosite.dat
  mmdb: https://testingcf.jsdelivr.net/gh/MetaCubeX/meta-rules-dat@release/country.mmdb
global-client-fingerprint: chrome
ipv6: true
log-level: info
mixed-port: 7890
mode: rule
profile:
  store-fake-ip: true
  store-selected: true
proxies:
  - name: los1
    type: ss
    server: c67s1.portablesubmarines.com
    port: 9060
    cipher: aes-256-gcm
    password: "948zMNX3NVpeuUGo"
    udp: true
    smux: 
      enabled: false
  - name: los2
    type: ss
    server: c67s2.portablesubmarines.com
    port: 9060
    cipher: aes-256-gcm
    password: "948zMNX3NVpeuUGo"
    udp: true
    smux: 
      enabled: false
  - name: los3
    type: vmess
    server: c67s3.portablesubmarines.com
    port: 9060
    uuid: 85407377-3499-4f1c-9b88-3e202235f915
    udp: false
    alterId: 0
    cipher: chacha20-poly1305
    packet-encoding: packetaddr
    global-padding: false
    authenticated-length: false
    tls: false
    network: tcp
    smux:
      enabled: false
  - name: japan
    type: vmess
    server: c67s4.portablesubmarines.com
    port: 9060
    uuid: 85407377-3499-4f1c-9b88-3e202235f915
    udp: false
    alterId: 0
    cipher: chacha20-poly1305
    packet-encoding: packetaddr
    global-padding: false
    authenticated-length: false
    tls: false
    network: tcp
    smux:
      enabled: false
  - name: England
    type: vmess
    server: c67s5.portablesubmarines.com
    port: 9060
    uuid: 85407377-3499-4f1c-9b88-3e202235f915
    udp: false
    alterId: 0
    cipher: chacha20-poly1305
    packet-encoding: packetaddr
    global-padding: false
    authenticated-length: false
    tls: false
    network: tcp
    smux:
      enabled: false
  - name: 0.1Freedom
    type: vmess
    server: c67s801.portablesubmarines.com
    port: 9060
    uuid: 85407377-3499-4f1c-9b88-3e202235f915
    udp: false
    alterId: 0
    cipher: chacha20-poly1305
    packet-encoding: packetaddr
    global-padding: false
    authenticated-length: false
    tls: false
    network: tcp
    smux:
      enabled: false
  
proxy-groups:
  - name: Proxies
    type: select
    proxies:
      - los1
      - los2
      - los3
      - japan
      - England
      - 0.1Freedom
      - DIRECT

rule-providers:
  custom:
    behavior: classical
    inteval: 8640000
    path: ./ruleset/custom.yaml
    type: http
    url: https://test.ephan.xyz/ruleset/custom.yaml
  steam:
    behavior: classical
    inteval: 8640000
    path: ./ruleset/steam.yaml
    type: http
    url: https://test.ephan.xyz/ruleset/steam.yaml

rules:
  - RULE-SET,custom,DIRECT
  - RULE-SET,steam,DIRECT
  - GEOIP,CN,DIRECT
  - MATCH,Proxies

sniffer:
  enable: false
  sniff:
    HTTP:
      override-destination: true
      ports:
        - 80
    TLS:
      ports:
        - 443
tcp-concurrent: false
tun:
  auto-detect-interface: true
  auto-route: true
  dns-hijack:
    - any:53
  enable: true
  stack: gvisor
unified-delay: true
